OGRE: Ogre::LodWorkQueueInjector Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::LodWorkQueueInjector Class Reference

Injects the output of a request to the mesh in a thread safe way. More...

`#include <OgreLodWorkQueueInjector.h>`

Inheritance diagram for Ogre::LodWorkQueueInjector:
[legend]

## Public Member Functions
| LodWorkQueueInjector ()
virtual | ~LodWorkQueueInjector ()
virtual bool | canHandleResponse (const Response *res, const WorkQueue *srcQ)
| Return whether this handler can process a given response. More...
LodWorkQueueInjectorListener * | getInjectorListener ()
void | handleResponse (const WorkQueue::Response *res, const WorkQueue *srcQ)
| The handler method every subclass must implement. More...
void | removeInjectorListener ()
void | setInjectorListener (LodWorkQueueInjectorListener *injectorListener)

## Static Public Member Functions
static LodWorkQueueInjector & | getSingleton ()
static LodWorkQueueInjector * | getSingletonPtr ()

## Detailed Description

Injects the output of a request to the mesh in a thread safe way.

## Constructor & Destructor Documentation

## ◆ LodWorkQueueInjector()

Ogre::LodWorkQueueInjector::LodWorkQueueInjector | ( |  | ) |

## ◆ ~LodWorkQueueInjector()

virtual Ogre::LodWorkQueueInjector::~LodWorkQueueInjector | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ canHandleResponse()

virtual bool Ogre::WorkQueue::ResponseHandler::canHandleResponse | ( | const Response * | res,
|  | const WorkQueue * | srcQ
| ) |  |
| inlinevirtualinherited

Return whether this handler can process a given response.

Remarks
  Defaults to true, but if you wish to add several handlers each of which deal with different types of response, you can override this method.

Reimplemented in Ogre::ResourceBackgroundQueue, Ogre::TerrainLodManager, Ogre::TerrainGroup, Ogre::Terrain, and Ogre::Page.

References Ogre::WorkQueue::Request::getAborted(), and Ogre::WorkQueue::Response::getRequest().

## ◆ getInjectorListener()

LodWorkQueueInjectorListener* Ogre::LodWorkQueueInjector::getInjectorListener | ( |  | ) |
| inline

## ◆ getSingleton()

static LodWorkQueueInjector& Ogre::LodWorkQueueInjector::getSingleton | ( |  | ) |
| static

## ◆ getSingletonPtr()

static LodWorkQueueInjector* Ogre::LodWorkQueueInjector::getSingletonPtr | ( |  | ) |
| static

## ◆ handleResponse()

void Ogre::LodWorkQueueInjector::handleResponse | ( | const WorkQueue::Response * | res,
|  | const WorkQueue * | srcQ
| ) |  |
| virtual

The handler method every subclass must implement.

Parameters

  res | The Response structure. The caller is responsible for deleting this after the call is made, none of the data contained (except pointers to structures in user Any data) will persist after this call is returned.
  srcQ | The work queue that this request originated from

Implements Ogre::WorkQueue::ResponseHandler.

## ◆ removeInjectorListener()

void Ogre::LodWorkQueueInjector::removeInjectorListener | ( |  | ) |
| inline

## ◆ setInjectorListener()

void Ogre::LodWorkQueueInjector::setInjectorListener | ( | LodWorkQueueInjectorListener * | injectorListener | ) |
| inline

The documentation for this class was generated from the following file:

- OgreLodWorkQueueInjector.h